import { Logger } from "../../libs/logger";
import { Element } from "../element.interface";
export default class MDDoc implements Element {
    #private;
    title?: string;
    saveTo: string;
    includeDirs: string[];
    excludeDirs: string[];
    includePattern: RegExp;
    logger: Logger;
    prependMDs?: Array<string | {
        path: string;
    }>;
    appendMDs?: Array<string | {
        path: string;
    }>;
    init(props: any): Promise<void>;
    exec(): Promise<void>;
    dispose(): Promise<void>;
    private scanDir;
    private scanFile;
}
