import { MDFileParser, MDFileProps } from './md-file-parser';
export declare class MDFileOutput {
    mdFileParsers: MDFileParser[];
    mdFileProps: {
        top: MDFileProps[];
        default: MDFileProps[];
        bottom: MDFileProps[];
    };
    private content;
    constructor(title: string);
    addMDFileParser(m: MDFileParser): void;
    scanDone(): void;
    appendContent(...content: string[]): void;
    appendFile(file: string): void;
    prependContent(...content: string[]): void;
    prependFile(file: string): void;
    save(path: string): Promise<void>;
}
