import { Element } from "../../components/element.interface";
import { Logger } from "../../libs/logger";
import { FileReadProps } from "./read.props";
export default class FileRead implements Element, FileReadProps {
    path: string;
    vars: any;
    format?: 'json' | 'yaml';
    data: any;
    title?: string;
    logger: Logger;
    init(props: FileReadProps): Promise<void>;
    exec(): Promise<string>;
    dispose(): Promise<void>;
    private getFormater;
}
