import { Element } from "../../components/element.interface";
import { Logger } from "../../libs/logger";
import { FileWriteProps } from './write.props';
export default class FileWrite implements Element, FileWriteProps {
    logger: Logger;
    path: string;
    content: any;
    format?: 'json' | 'yaml';
    pretty?: boolean;
    init(props: FileWriteProps): Promise<void>;
    exec(): Promise<unknown>;
    dispose(): Promise<void>;
    private getFormater;
}
