"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quit = void 0;
const sub_1 = require("./sub");
class Quit {
    init(props) {
        if (props)
            Object.assign(this, props);
    }
    async exec() {
        const pub = this.findParentWithType(sub_1.Sub);
        if (!pub)
            throw new Error(`"http/jobs'stop" only be used in "http/jobs"`);
        await pub.exit();
    }
    dispose() { }
}
exports.Quit = Quit;
//# sourceMappingURL=quit.js.map