"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const input_confirm_1 = require("./input-confirm");
test('user input confirm true', async () => {
    const input = new input_confirm_1.InputConfirm({
        label: 'Confirm here ?',
    });
    setImmediate(() => input.answer('y'));
    const value = await input.exec();
    expect(value).toBe(true);
});
test('user input confirm false', async () => {
    const input = new input_confirm_1.InputConfirm({
        label: 'Confirm here ?',
    });
    setImmediate(() => input.answer('n'));
    const value = await input.exec();
    expect(value).toBe(false);
});
//# sourceMappingURL=input-confirm.spec.js.map