import { InputSuggestInterface } from './input-suggest.interface';
import { InputAbstract } from './input.abstract';
export declare class SuggestType {
    STARTSWITH_AND_ALLOW_NEW(inp: string, choices?: any[]): any[];
    STARTSWITH(inp: string, choices?: any[]): any[];
    INCLUDE_AND_ALLOW_NEW(inp: string, choices?: any[]): any[];
    INCLUDE(inp: string, choices?: any[]): any[];
}
export declare class InputSuggest extends InputAbstract<InputSuggestInterface> {
    readonly type = "autocomplete";
    choices: {
        title: string;
        value: any;
    }[];
    limit?: number;
    style?: string;
    clearFirst: boolean;
    suggest?: (inp: string, choices: any[]) => any;
    constructor(props: Partial<InputSuggestInterface>);
    exec(): Promise<boolean | null | undefined>;
}
