"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const input_toggle_1 = require("./input-toggle");
test('user input toggle with default value', async () => {
    const input = new input_toggle_1.InputToggle({
        label: 'Toggle here',
        default: true,
        active: 'yes',
        inactive: 'no',
    });
    setImmediate(() => input.answer(''));
    const value = await input.exec();
    expect(value).toBe(true);
});
test('user input toggle true', async () => {
    const input = new input_toggle_1.InputToggle({
        label: 'Toggle here',
        default: false,
    });
    setImmediate(() => input.answer(1));
    const value = await input.exec();
    expect(value).toBe(true);
});
//# sourceMappingURL=input-toggle.spec.js.map