import { Answers, PromptType } from 'prompts';
import { InputInterface } from "../input.interface";
export declare abstract class InputAbstract<T extends InputInterface> implements InputInterface {
    type?: PromptType;
    label: string;
    default?: any;
    required?: boolean;
    question: Answers<any>;
    constructor(props: Partial<T>);
    exec(opts?: any): Promise<any>;
    answer(value?: string | number | boolean | {
        key: string;
        name: string;
    }[]): void;
}
