"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const text_1 = __importDefault(require("./text"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(text_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input text data', async () => {
    await input.init({
        title: `What's you name ?`,
        default: 'noname'
    });
    setImmediate(() => input.answer());
    const rs2 = await input.exec();
    expect(rs2).toBe('noname');
    setImmediate(() => input.answer('thanh'));
    const rs1 = await input.exec();
    expect(rs1).toBe('thanh');
});
//# sourceMappingURL=text.spec.js.map