import { AES } from "./../libs/encrypt/aes";
import { Base64 } from "./../libs/encrypt/base64";
import { MD5 } from "./../libs/encrypt/md5";
export declare let GlobalVars: any;
export declare const GlobalUtils: {
    readonly base64: Base64;
    readonly md5: MD5;
    readonly aes: AES;
    format: {
        fileName(fileName: string): any;
        number(num: number, opts?: Intl.NumberFormatOptions): any;
    };
    rootDir: string;
    curDir: string;
    getPath(p: string): string;
};
export declare function resetGlobalVars(): void;
export declare function setVars(varObj: any, vl: any, ctx?: any): Promise<string[]>;
export declare function getVars(str: any, ctx?: any): any;
export declare function isGetEvalExp(vl: any): ObjectConstructor | StringConstructor;
