"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const clear_1 = __importDefault(require("./clear"));
let clear;
beforeEach(() => {
    (0, testing_1.cleanTest)();
    clear = testing_1.ElementTest.create(clear_1.default);
});
afterEach(async () => {
    await clear.dispose();
});
test('clearScreen() should be called', async () => {
    console.clear = jest.fn();
    await clear.init();
    await clear.exec();
    expect(console.clear).toBeCalled();
});
//# sourceMappingURL=clear.spec.js.map