import { Logger } from './../libs/logger';
import { Element } from './element.interface';
export declare function getElementLoop(loop?: string): Promise<any>;
export declare function markElementNeedReplace(elem: Element): Promise<void>;
export declare function applyVarsBeforeExec(elem: Element, ...props: string[]): Promise<void>;
export declare function setVarsAfterExec(elem: Element, logger: Logger): Promise<void>;
export declare function loadElementClass(name: string, logger: Logger): Promise<any>;
export declare function createElement<T extends Element>(ElementClazz: new (...args: any[]) => T, ...args: any[]): T;
