"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const echo_1 = __importDefault(require("./echo/echo"));
const element_utils_1 = require("./element.utils");
beforeEach(() => {
    (0, testing_1.cleanTest)();
    jest.resetModules();
});
test.skip('Load element from npm', async () => {
    const Clazz = await (0, element_utils_1.loadElementClass)('lodash#merge', testing_1.ElementTest.getLogger());
    expect(Clazz).toBeDefined();
});
test('element.ignoreError', async () => {
    const echo = testing_1.ElementTest.create(echo_1.default);
    await echo.init({
        ignoreError: true,
        content: '${abc}'
    });
    await echo.exec();
    expect(echo.error.message).toBeDefined();
});
//# sourceMappingURL=element.utils.spec.js.map