"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const _1 = __importDefault(require("."));
let exit;
beforeEach(() => {
    (0, testing_1.cleanTest)();
    exit = testing_1.ElementTest.create(_1.default);
});
afterEach(async () => {
    await exit.dispose();
});
test('exit() should be called', async () => {
    exit.exit = jest.fn();
    await exit.init();
    await exit.exec();
    expect(exit.exit).toBeCalled();
});
//# sourceMappingURL=exit.spec.js.map