import { GroupElement } from "../group/group.interface";
import { GetProps } from "./get.props";
import { Head } from "./head";
import { ResponseType } from "./types";
export default class Get<T extends GetProps> extends Head<T> {
    parent: GroupElement;
    method: string;
    responseType: ResponseType;
    saveTo?: string;
    send(fetchOpts?: any): Promise<import("./types").Response>;
    protected getResponseData(rs: Response): Promise<any>;
}
