"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const _1 = __importDefault(require("."));
let pause;
beforeEach(() => {
    (0, testing_1.cleanTest)();
    pause = testing_1.ElementTest.create(_1.default);
});
afterEach(async () => {
    await pause.dispose();
});
test('Should pause infinity', async () => {
    const start = Date.now();
    await pause.init();
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
test('Should pause infinity', async () => {
    const start = Date.now();
    await pause.init();
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
//# sourceMappingURL=pause.spec.js.map