"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const time_1 = require("../../libs/time");
class Sleep {
    title;
    duration;
    async init(props) {
        if (typeof props === 'number') {
            this.duration = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        await (0, time_1.sleep)(this.duration);
    }
    async dispose() { }
}
exports.default = Sleep;
//# sourceMappingURL=sleep.js.map