import { Ora } from 'ora';
import { Logger, LoggerLevel } from './logger';
export declare class ProgressBar {
    private logger;
    private spinner;
    constructor(logger: Logger);
    init(txt?: string): Promise<void>;
    start(txt?: string): Ora;
    update(txt: string, level?: LoggerLevel): string;
    stop(): Ora;
    passed(txt: string): Ora;
    failed(txt: string): Ora;
}
