import { Logger } from "../logger";
import { QueueHandlerInterface } from "./queue-handler.interface";
export declare class QueueRunner<T> {
    private name;
    private queueRunnerHandler;
    private queueData;
    private isRunning;
    private delayTime;
    private db?;
    private logger;
    constructor(name: string, logger: Logger, queueRunnerHandler: QueueHandlerInterface<T>, queueFile?: string);
    push(input: T): void;
    private exec;
    stop(): Promise<void>;
    start(): Promise<void>;
}
